This thread has been locked.

If you have a related question, please click the "Ask a related question" button in the top right corner. The newly created question will be automatically linked to this question.

MSP432E401Y: LAUNCHPAD MSP432E401Y EVAL BRD

Part Number: MSP432E401Y
Other Parts Discussed in Thread: MSP432P401R,

Hello, Good morning!

I just bought "LAUNCHPAD MSP432E401Y EVAL BRD". I ran the program used for MSP432P401R LaunchPad", but I got the error shown as below:

corlab4@corlab3(2034):./run.sh
Executing: "/home/corlab4/xb10/init/mcu/flash"/ccs_base/DebugServer/bin/DSLite flash -c user_files/configs/msp432p401r.ccxml -l user_files/settings/generated.ufsettings -s VerifyAfterProgramLoad="No verification" -e -f -v "user_files/images/uarti2c_MSP_EXP432P401R_XB10_nortos_gcc.out"
DSLite version 10.2.0.2249
Configuring Debugger (may take a few minutes on first launch)...
Initializing Register Database...
Initializing: CS_DAP_0
fatal: CS_DAP_0: Error initializing emulator: (Error -260 @ 0x0) An attempt to connect to the XDS110 failed. The cause may be one or more of: no XDS110 is connected, invalid firmware update, invalid XDS110 serial number, or faulty USB cable. The firmware and serial number may be updated using the xdsdfu utility found in the .../ccs_base/common/uscif/xds110 directory of your installation. View the XDS110SupportReadMe.pdf file there for instructions. (Emulation package 9.3.0.00032)
Failed: CS_DAP_0: Error initializing emulator: (Error -260 @ 0x0)
An attempt to connect to the XDS110 failed.
The cause may be one or more of: no XDS110 is connected, invalid
firmware update, invalid XDS110 serial number, or faulty USB
cable. The firmware and serial number may be updated using the
xdsdfu utility found in the .../ccs_base/common/uscif/xds110
directory of your installation. View the XDS110SupportReadMe.pdf
file there for instructions.
(Emulation package 9.3.0.00032)


"./dslite.sh" command on line 15 failed with exit code 1.
corlab4@corlab3(2034):

I was told "MSP432E401Y EVAL BRD" should be compatible with "MSP432P401R EVAL BRD".

  • Hello Jack,

    I was told "MSP432E401Y EVAL BRD" should be compatible with "MSP432P401R EVAL BRD".

    I don't know who told you this, but that is not at all true. The devices are very different and the firmware for them are not compatible.

    If you are using the MSP432E401Y LaunchPad then you need to use firmware for MSP432E4 devices and if you are trying to transition from MSP432P4 to MSP432E4 then you'd need to re-develop your application for the MSP432E401Y.

    Best Regards,

    Ralph Jacobi

  • E2E Forum Manager edit:

    The information provided in this post is not to be displayed on Public Forums. Please use Private Messaging feature to share such details.

  • Hello Jack,

    The recommendation you were provided for alternate parts was not to indicate they are software compatible. It's just a different device that has similar features to the MSP432P4. You will need to redevelop your application for either of those devices.

    Best Regards,

    Ralph Jacobi